atlas (3.10.3-13) unstable; urgency=medium

  * Rebuild against lapack ⩾ 3.11.0
  * d/control: remove Breaks on libopenblas-base, which has been removed

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Nov 2022 09:44:31 +0100

atlas (3.10.3-12) unstable; urgency=medium

  * Tighten Build-Depends on liblapack-dev to >= 3.10.0-2~
    This ensures that the fix for CVE-2021-4048 is incorporated.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Dec 2021 14:15:18 +0100

atlas (3.10.3-11) unstable; urgency=medium

  * Rebuild against lapack 3.10.0
  * Move some B-D to Build-Depends-Arch
  * Bump S-V to 4.6.0
  * Add d/upstream/metadata

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Sep 2021 18:02:49 +0200

atlas (3.10.3-10) unstable; urgency=medium

  * Fix missing symbols in liblapack.so.3 when libblas.so.3 is not the one from
    ATLAS.
    The problem was that, in 3.10.3-9, liblapack.so.3 was no longer linked to
    libatlas.so.3, despite an explicit -latlas in the link command.
    This was due to the combination of two factors:
    — ld now defaulting to --as-needed in bullseye
    — libatlas.so.3 symbols being erroneously embedded in libblas.so.3
    The fix consists in no longer embedding libatlas.so.3 symbols inside
    libblas.so.3 (this has always been the intent, for some reason this had not
    been correctly done). (Closes: #947827)
  * debian/rules: simplify using debhelper 12.8’s execute_{before,after}_* rules
  * Bump to debhelper 13
    — this allows dropping the B-D on dh-exec
    — mention libsatlas.so and libtatlas.so in debian/not-installed
  * Separate the {build,binary}-arch rules from {build,binary}-indep
  * Drop debian/NEWS.Debian: it has never been installed, since it had an
    incorrect name
  * Bump S-V to 4.5.0
  * gfortran-10.patch: new patch, fixes FTBFS against gfortran 10
    (Closes: #957015)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 May 2020 16:42:23 +0200

atlas (3.10.3-9) unstable; urgency=medium

  * Replace liblapack-pic by liblapack-dev in Build-Depends
  * Remove architectural defaults for obsolete mips architecture
  * Add architectural defaults for m68k.
    Thanks to John Paul Adrian Glaubitz (Closes: #697041, #945913)
  * Bump S-V to 4.4.1
  * d/watch: use secure URL
  * Trim trailing whitespace.
  * Add missing colon in closes line.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Dec 2019 09:55:29 +0100

atlas (3.10.3-8) unstable; urgency=medium

  * Drop armel-is-v4t.patch.
    No longer needed now that armel baseline is v5te (see #882174).
  * Fix build of custom package (.pc file was generated too late)
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Jan 2019 11:31:26 +0100

atlas (3.10.3-7) unstable; urgency=medium

  * libatlas-doc: add Breaks+Replaces libatlas-base-dev (<< 3.10.3-6~)
    Thanks to Andreas Beckmann (Closes: #901099)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 19:07:12 +0200

atlas (3.10.3-6) unstable; urgency=medium

  * Resurrect architectural defaults for ia64.
  * Add architectural defaults for riscv64.
    Thanks to Manuel A. Fernandez Montecelo (Closes: #897128)
  * Bump to debhelper compat level 11.
  * d/rules: remove get-orig-source target.
  * Remove Built-Using field.
    Since both LAPACK and ATLAS are under BSD-3-clause, there is no reason to
    use this field (which is now restricted to license compliance issues).
  * Bump S-V to 4.1.4.
  * Update Vcs-* fields for move to salsa.
  * Install doc under /u/s/d/libatlas-base-dev, per Policy §12.3.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Apr 2018 19:37:01 +0200

atlas (3.10.3-5) unstable; urgency=low

  * libatlas3-base Conflicts+Replaces libcblas3. (Closes: #874802)
  * libatlas-base-dev Conflicts+Replaces libcblas-dev. (Closes: #874803)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Sep 2017 22:29:27 +0200

atlas (3.10.3-4) unstable; urgency=low

  * Multi-archify the package.
    Incidentally, drop the dependency of libatlas-base-dev on libblas-dev, since
    cblas.h is now managed by the alternative.
  * kfreebsd.patch: update using the fix applied upstream.
  * Bump Standards-Version to 4.1.0.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 10:27:50 +0200

atlas (3.10.3-3) unstable; urgency=medium

  * d/control: libatlas-base-dev now directly depends on libblas-dev.
    This is necessary for having cblas.h under /usr/include (as was
    the case before libatlas-dev was dropped).
  * Add archdef for sparc64.
  * d/control: mark libatlas-doc as M-A foreign.
  * d/orig-tar.{sh,exclude}: fetch TexDoc subdir from git instead of CVS.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 16 Aug 2017 22:30:36 +0200

atlas (3.10.3-2) unstable; urgency=medium

  * “The frantic post-release package overhaul”

  [ Sébastien Villemot ]
  * d/copyright: complete rewrite using machine-readable format 1.0.
  * Merge libatlas-dev into libatlas-base-dev, drop the former.
  * Drop useless patches:
    + d/p/10_s390.diff
    + d/p/17_hppa.diff
    + d/p/18_alpha.diff
    + d/p/20_armel.diff
    + d/p/22_sh.diff
    + d/p/16_warning-removed.diff
  * d/p/ppc64-endianness.patch: new patch, fix machine detection on ppc64.
  * d/p/fix-typos.patch: new patch.
  * d/p/missing-cflags.patch: new patch.
  * Drop patches for creating full BLAS and LAPACK libs, and shared libs.
    Replace them by rules in debian/rules.
    Also no longer embed lib(pt)?cblas.a into liblapack.a, not needed.
  * d/rules:
    + Rewrite and simplify using dh (drop cdbs).
    + Support parallel=N in DEB_BUILD_OPTIONS.
    + Support nodoc in DEB_BUILD_OPTIONS.
    + Inject flags from dpkg-buildflags into the generic package.
      Incidentally, this means that the noopt and nostrip flags of
      DEB_BUILD_OPTIONS are now supported. (Closes: #697203)
    + Do not use "-Ss flapack" option of configure, it does not work.
  * d/watch:
    + Bump to format version 4. Update d/orig-tar.sh to make it compatible with
      the new invocation syntax.
    + Add +ds suffix to orig tarball, since we're repacking it.
  * d/control:
    + Use canonical URL in Vcs-Browser.
    + Drop Suggests on libblas-doc, superseded by liblapack-doc.
    + Remove several unnecessary build-dependencies.
    + Bump Standards-Version to 4.0.1.
    + libatlas-test now marked priority optional, per Policy 4.0.1.
  * Bump debhelper compat level to 10.
  * Remove obsolete TODO.
  * d/lapack-atlas.in: add Requires.private on blas.
  * Custom package:
    + Use DEB_BUILD_OPTIONS=custom as new interface.
      By the way, no longer automatically append a changelog entry.
      (Closes: #854781)
    + Improve the instructions in README.Debian.
    + Add -lpthread to dynamic libs and .pc file when relevant.
    + Ship libpt{c,f77}blas.so when relevant. (Closes: #737834)
  * armhf generic package: stop using Cortex-a7 machtype, enable VFPv3-D16.
  * Add archdef for ppc64.

  [ Dimitri John Ledkov ]
  * d/rules: on Ubuntu s390x set ARCHS to z12.
  * d/archdefs/s390x: add IBMz12 tarball

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Aug 2017 18:39:08 +0200

atlas (3.10.3-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 3.10.3. (Closes: #833139)
  * Drop d/p/cpu-throttling-check.diff, no longer needed.
    Replace it with new --cripple-atlas-performance option.
  * Drop d/p/ppc64el-new-archdef-name.patch, applied upstream.
  * Drop d/p/armhf.diff, no longer needed.
  * d/rules: update architecture/ISA names/enums.
  * Update archdefs for ppc64el, arm64 and armhf.
  * d/control:
    + drop useless Section field for binary package libatlas-test.
    + bump Standards-Version to 3.9.8, no changes needed.
    + use secure URLs for Vcs-* fields.
  * Improve shell syntax in preinst scripts.
    Thanks to Wolfgang Karall-Ahlborn (Closes: #805406)

  [ Dimitri John Ledkov ]
  * d/rules: on ppc64el set ARCHES to POWER8.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Aug 2016 20:27:27 +0200

atlas (3.10.2-9) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/p/powerpc-dcbt.patch: new patch.
    Fixes FTBFS on powerpc with recent binutils.

  [ Aurelien Jarno ]
  * Add archdef for mips64el. (Closes: #804577)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Nov 2015 19:21:55 +0100

atlas (3.10.2-8) unstable; urgency=medium

  * Remove transitional package libatlas3gf-base.
  * Remove archdef for sparc.
  * Mark libatlas-dev as arch:any.
    It contains generated header files that can differ across architectures.
  * Remove a few obsolete Suggests/Recommends/Conflicts.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 06 Nov 2015 18:54:00 +0100

atlas (3.10.2-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libatlas-base-dev.preinst: Cleanup obsolete alternatives dating back to
    lenny.  (Closes: #776089)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 24 Jan 2015 23:06:27 +0100

atlas (3.10.2-6) unstable; urgency=medium

  * Add missing files in archdef for mips.
    More precisely, add missing GENERIC32/lapack/gcc/atlas_{c,z}GetNB_geqrf.h in
    debian/archdef/mips/GENERIC32.tar.bz2. The absence of these files was making
    the compilation insanely long on some buildds, causing FTBFS by timeout.
    (Closes: #770379)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Nov 2014 13:37:44 +0100

atlas (3.10.2-5) unstable; urgency=medium

  * Add archdef for arm64. Drastically diminishes build time, and avoids random
    FTBFS. (Closes: #763805)
  * Add ppc64el support.
    - New patches (thanks, Michael Normand et al).
      + ppc64el-abiv2.patch
      + ppc64el-ifdef-files-with-lvx.patch
      + ppc64el-new-archdef-name.patch
    - debian/archdefs/ppc64el/GENERIC64LE.tar.bz2: add archdefs/timings.
    - debian/archdefs/README: updated accordingly.
    Thanks to Mauricio Faria de Oliveira for putting this together.
    (Closes: #766695)
  * Fix paths in debian/README.source.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Nov 2014 13:53:31 +0100

atlas (3.10.2-4) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add pkg-config file atlas-blas.pc and atlas-lapack.pc alias via
    update-alternatives.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Oct 2014 21:35:39 +0200

atlas (3.10.2-3) unstable; urgency=medium

  * libatlas3-base: add dependency on libblas-common.
    The goal is to make BLAS implementations multi-arch safe by preventing the
    co-installability of, say, libblas3:amd64 and libatlas3-base:i386. See
  * Drop obsolete note in libatlas3-base package description about former
    optimized packages.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Sep 2014 20:24:41 +0200

atlas (3.10.2-2) unstable; urgency=medium

  * shared_libraries.diff: no longer include ATLAS-specific symbols in
    libblas.so and liblapack.so. Rather dynamically link those libraries with
    libatlas.so. This makes it possible to use liblapack.so from ATLAS with a
    libblas.so coming from somewhere else. Thanks to Guillem Jover for
    suggesting this solution. (Closes: #576972)
  * Revert back to a higher priority in the LAPACK alternatives.
    The priority had been lowered in 3.8.4-8 in order to minimize the incidence
    of #576972, so this is no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Aug 2014 18:13:33 +0200

atlas (3.10.2-1) unstable; urgency=medium

  * Imported Upstream version 3.10.2
  * fix-non-threaded-build.diff: remove patch, fixed upstream.
  * debian/rules: update to reflect numbering change for architectures.
  * Remove Sylvestre Ledru from Uploaders. Thanks Sylvestre for your work!
  * Remove architectural defaults for obsolete ia64 arch.
  * Drop obsolete code in maintainer scripts to deal with the transitions
    libblas.so.3gf => libblas.so.3 and liblapack.so.3gf => liblapack.so.3.
  * Improvement to debian/orig-tar.sh: save CVS download time.
  * Remove duplicate changelog in libatlas-doc.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Jul 2014 13:40:15 +0200

atlas (3.10.1-4) unstable; urgency=medium

  * libatlas3gf-base: update long description to suppress lintian warning.
  * Remove architectural defaults for obsolete s390 arch.
  * Use the new GENERIC arch name for powerpc, instead of POWER3.
    Hopefully that will fix the FTBFS on powerpc.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Feb 2014 18:16:51 +0000

atlas (3.10.1-3) unstable; urgency=medium

  * libatlas-base-dev now provides liblapack.so.
  * Remove unused libatlas-3.so, libatlas-3gf.so and libatlas.so.* virtual
    packages.
  * Rewrite logic in libatlas3-base.postinst. (Closes: #719142)
  * Disable autodetection of machine type on archs for which ATLAS does not
    provide generic-enough architectural defaults. This is achieved by creating
    a GENERIC machine type (see generic.diff). In particular, this ensures that
    the package created on an armel buildd with an ARMv7 will be generic.
    (Closes: #719355)
  * Register documentation to doc-base.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Jan 2014 19:23:08 +0100

atlas (3.10.1-2) unstable; urgency=low

  * Allow the generic package to build on machines with CPU throttling
    enabled. Otherwise the package FTBFS on some buildds (e.g. biber).
    Implementation is done by reactivating the "-Si cputhrchk 0" flag
    (cpu-throtthling-check.diff), and using it in debian/rules.
  * Add architectural defaults for armel and mips.
  * armhf.diff: do not enforce 32-registers FPU for Fortran

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Jul 2013 14:26:05 +0200

atlas (3.10.1-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream release (Closes: #609287)

  [ Sébastien Villemot ]
  * Provide architectural defaults (i.e. precomputed timings) for all
    release archs (except armel and mips for the time being, due to slow
    porterboxes). This will make the package build much faster and should
    eliminate transient build failures due to excessive variance in the
    timings.
  * Move symlinks for lib{cblas,f77blas,atlas,lapack_atlas} out of the
    libblas.so.3 alternative and make them always present, so that
    software relying on these libs do not break when another alternative
    is selected for BLAS
  * ATLAS now has improved ARM support with native asm constructs. This required
    the following tunes:
    + armel-is-v4t.diff: new patch, prevents FTBFS on armel; otherwise,
      ATLAS uses asm constructs too recent for the platform (armel is only v4t)
    + debian/rules: on armhf, define the ATL_ARM_HARDFP flag; otherwise the asm
      constructs use the soft-float ABI for passing floating points
    + on armhf, ensure that -mfloat-abi=softfp and -mcpu=vfpv3 flags are never
      used; this is implemented via a patch (armhf.diff) and by the use of fixed
      archdefs
  * The generic package is now built without multi-threading, because otherwise
    the package fails to build on some single-processor machines (this required
    the introduction of a patch: fix-non-threaded-build.diff). As a side effect,
    the build of the custom package gracefully handles non-threaded
    builds. (Closes: #602524)
  * Add libblas.a as slave in the libblas.so alternative (Closes: #701921)
  * Add symlinks for lib{f77blas,atlas}.a in /usr/lib (Closes: #666203)
  * Modify shlibs file of libatlas3-base, such that packages using
    libblas/liblapack depend on any BLAS/LAPACK alternative, while packages
    depending on ATLAS-specific libraries (e.g. libatlas.so) depend specifically
    on libatlas3-base.
  * corei1.diff: remove patch, applied upstream
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Switch VCS to git
  * Remove Conflicts/Replaces against pre-squeeze packages
  * libatlas-base-dev now provides libblas.so, as libblas-dev
  * No longer use -Wa,--noexecstack in CFLAGS, it makes the package FTBFS
  * Do not use POWER3 arch for powerpcspe port (Closes: #701068)
  * Bump to debhelper compat level 9
  * README.Debian: mention that devscripts is needed to compile the custom
    package (Closes: #697431)
  * Bump Standards-Version to 3.9.4. As a consequence, add Built-Using
    fields because the package embeds stuff from liblapack-pic

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 11 Jun 2013 15:58:16 +0200

atlas (3.8.4-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * libatlas3gf-base: Add Breaks: octave3.2  (Closes: #706328)
    This fixes some upgrade paths by removing the obsolete octave3.2 (and its
    triggers) a bit earlier. This is a workaround for dpkg bug #671711: dpkg
    may run trigger processing for a package even if its dependencies are not
    satisfied. The octave3.2 triggers may be run in such a state (with
    liblapack* and libblas* unpacked but unconfigured, therefore the
    alternatives may not be setup or dangling) and will fail, aborting the
    upgrade, even if octave3.2 would be removed later anyway.
    Similar Breaks exist in libblas3 and libarpack2 to cover more incarnations
    of this bug.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2013 22:25:26 +0200

atlas (3.8.4-9) unstable; urgency=low

  [ Sébastien Villemot ]
  * libatlas-test: put in devel/extra, to reflect override
  * Force generic PPC CPU when building a non-custom package on a PPC arch
    (Closes: #680096)

  [ Sylvestre Ledru ]
  * Use series for list the patches
  * Patches refreshed

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 04 Aug 2012 11:56:20 +0000

atlas (3.8.4-8) unstable; urgency=low

  * libatlas3-base.prerm, libatlas3gf-base.prerm: avoid crash if libblas.so.3gf
    or liblapack.so.3gf already deleted
  * Add 3gf compat symlinks for libcblas, libf77blas and liblapack_atlas
    (to avoid breakage of some reverse deps)
  * In the LAPACK alternatives, use a lower priority than Netlib (in order to
    minimize the incidence of #576972)
  * Update and clean-up README.Debian
  * Mention known build failures in README.source
  * libatlas3gf-base transitional package:
    + move to section oldlibs
    + mark as arch:all
  * Add myself to Uploaders
  * Set DM-Upload-Allowed to yes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 24 Jun 2012 15:36:49 +0000

atlas (3.8.4-7) unstable; urgency=low

  * Force generic x86 CPU when building a non-custom package on an x86 arch
    (Closes: #676885)
  * Force 2 threads when not building a custom package (as was the case up
    to and including 3.8.3-30)
  * Fix detection of some Intel Core i1 CPUs (corei1.diff)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 13 Jun 2012 16:33:20 +0200

atlas (3.8.4-6) unstable; urgency=low

  * Yet an other stupid bug...
    Merci à Rafael Laboissiere (Closes: #676614)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Jun 2012 20:16:49 +0200

atlas (3.8.4-5) unstable; urgency=low

  * Bring back slave alternative for liblapack.so.3gf.
    Merci à Sébastien Villemot (Closes: #676495)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Jun 2012 13:02:23 +0200

atlas (3.8.4-4) unstable; urgency=low

  * Upload in unstable (Closes: #673357)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jun 2012 17:33:13 +0200

atlas (3.8.4-4~exp9) experimental; urgency=low

  * Drop the old conflict on libblas-3.so

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 May 2012 19:55:12 +0200

atlas (3.8.4-4~exp8) experimental; urgency=low

  * Replaces and Breaks updated against the right versions of other impacted
    packages
  * Force the right version to build against liblapack-dev and libblas-dev
  * Add a missing conflict

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 May 2012 14:32:20 +0200

atlas (3.8.4-4~exp7) experimental; urgency=low

  * Fix a mixed between postinst & preinst (Closes: #643767)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 17:21:33 +0200

atlas (3.8.4-4~exp6) experimental; urgency=low

  * Moved removal from postinst to preinst

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:06:24 +0200

atlas (3.8.4-4~exp5) experimental; urgency=low

  * libblas and liblapack were not correctly named causing upgrades to fails.
    (Closes: #643767)
  * Update the README.Debian and TODO regarding recent changes

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 May 2012 18:06:16 +0200

atlas (3.8.4-4~exp4) experimental; urgency=low

  * Remove libblas.so.3gf liblapack.so.3gf references before the install
  * Fix a typo in the CPU freq (Closes: #672783)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:06:16 +0200

atlas (3.8.4-4~exp3) experimental; urgency=low

  * Update standards version to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Apr 2012 22:01:50 +0200

atlas (3.8.4-4~exp2) experimental; urgency=low

  * Join modifications with blas, lapack, atlas and openblas.
    Declare the replacements of all *3gf blas & lapack implementation
    (See bug #660607)
  * postinst-has-useless-call-to-ldconfig & postrm-has-useless-call-to-ldconfig
    fixed
  * copyright-refers-to-deprecated-bsd-license-file fixed
  * libatlas3gf-base is now a transitional package to libatlas3-base
  * Fix a FTBFS under sh4. Thanks to Nobuhiro Iwamatsu for the patch
    (Closes: #605650)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Feb 2012 18:58:04 +0100

atlas (3.8.4-4~exp1) experimental; urgency=low

  * Rename libblas3gf package => libblas3
  * Rename libblas.so.3gf => libblas.so.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Sep 2011 14:47:41 +0200

atlas (3.8.4-3) unstable; urgency=low

  * Revert change about devscripts being in the build-dep (see bug #628104)
  * Fix an error about missing tests when building custom package
    (Closes: #629528)
  * Fix an error about the pdf which cannot be found when building custom
    package.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jun 2011 20:56:49 +0200

atlas (3.8.4-2) unstable; urgency=low

  * Fix the FTBFS under kfreebsd (kfreebsd.diff) (Closes: #628424)
  * Update of the README.Ddebian with more information
  * devscripts added into the build-dep of atlas (Closes: #628104)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 May 2011 23:58:17 +0200

atlas (3.8.4-1) unstable; urgency=low

  * New upstream release
  * force -j 1 of make removed (hopefully fixes the FTBFS)
  * -Si cputhrchk 0 removed
  * Standards-Version updated to version 3.9.2
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 May 2011 13:52:42 +0200

atlas (3.8.3-30) unstable; urgency=low

  * Update of the README.Debian (typos, old stuff, etc)
  * Some clean up and simplification of debian/rules
    (removed rules to build preoptimized packages)
  * Remove Recommends on libblas3gf when installing libatlas
  * Drop control.in (was used when we were build pre-optimized packages)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Mar 2011 09:47:02 +0100

atlas (3.8.3-29) unstable; urgency=low

  [ Simon McVittie ]
  * Run 'make check' and 'make ptcheck' to build the tests, then install them
    in libatlas-test (Closes: #588418)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Nov 2010 22:55:34 +0100

atlas (3.8.3-28) unstable; urgency=low

  * Support of sh4. Thanks to Nobuhiro Iwamatsu. (Closes: #595896)
  * Fix a typo in the README.Debian. Thanks to Jan Medlock. (Closes: #595981)
  * Clean up of the old .install, postinst & prerm files

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Oct 2010 21:05:48 +0200

atlas (3.8.3-27) unstable; urgency=low

  * Fix a build issue with 64 archs. This issue has been introduced by upload
    3.8.3-25

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Sep 2010 13:06:51 +0200

atlas (3.8.3-26) unstable; urgency=low

  * Fix a bug on localized system. For example, the custom build failed on a
    russian (ru_RU) system. Thanks to Damir Islamov for providing the fix.
  * Provide more information on how to rebuild custom packages in
    README.Debian
  * Provide multithreaded Atlas libraries by default. Many thanks to
    Dirk Eddelbuettel for the patch. (Closes: #595326)
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 Sep 2010 00:46:03 +0200

atlas (3.8.3-25) unstable; urgency=low

  * Drop all optimized packages.
    Before version 3.8.3-25, optimized binary packages were provided.
    However, due to the fact that most Atlas optimisation are done at build
    time, it has been decided to remove them and give priority to locally built
    packages.
    See README.Debian on how to rebuild Atlas optimized packages.
  * Force the number of threads to 2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Aug 2010 21:14:57 +0200

atlas (3.8.3-24) unstable; urgency=low

  [ Denis Barbier ]
  * Build system should stop on the first error (Closes: #581620).
  * Update of the vcs metadata

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Jul 2010 08:39:08 +0200

atlas (3.8.3-23) unstable; urgency=low

  * Disable parallel build. This might be the cause of FTBFS.
    (Closes: #581620, #581621, #584366)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Jul 2010 11:38:55 +0200

atlas (3.8.3-22) unstable; urgency=low

  * sse3 & core2sse3 packages removed for hurd
  * Fix a build issue under mips & mipsel (patch 21_mips2.diff)
  * Fix a custom build issue. Thanks to Adrian Benson for the patch
    (Closes: #576987, #579990)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 May 2010 11:39:10 +0200

atlas (3.8.3-21) unstable; urgency=low

  * Maintainer changed to the Debian Science Team
  * Simplification of the s390 detection
  * armel detection added (Closes: #243447, #355355)
  * Revert the sse and sse2 for ia64 (introduced in 3.8.3-18) since these
    extensions do not exist on this CPU.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Apr 2010 18:03:14 +0200

atlas (3.8.3-20) unstable; urgency=low

  * Fix a problem on the custom build (Closes: #576755)
  * Some patches renamed to make sure of their order
  * Fix a FTBFS under mips, hppa & alpha (Closes: #576891)
  * Add conflicts on libblas{-dev} (<1.2-5) and liblapack{-dev} (<3.2.1-4)
    to make sure that the update-alternatives mecanism can be used
    (Closes: #576855)
  * Fix a priority with 2.0 packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Apr 2010 17:51:05 +0200

atlas (3.8.3-19) unstable; urgency=low

  * Upload to unstable (Closes: #536686, #561299, #521056, #569397, #571108
    #344091, #450692, #517826, #571108, #504586, #552464, #524459)
    (LP: #458202, #376739, #406520, #505339, #523365, #363510)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Mar 2010 01:05:53 +0100

atlas (3.8.3-18) experimental; urgency=low

  * Youpi, it is working!
  * Fix a build error with ia64. It also deserves sse & sse2 packages.
    Could not find if sse3 is well supported for such arch.
  * NEWS.Debian added
  * README.Debian added with "how to switch between blas/lapack
    implementation"
  * Probably the last upload in experimental before unstable.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Mar 2010 23:39:26 +0100

atlas (3.8.3-17) experimental; urgency=low

  * Was it failing because I removed this stupid target ?!

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Mar 2010 08:44:01 +0100

atlas (3.8.3-16) experimental; urgency=low

  * Put back randomCrashOnBuild.diff. It was not the reason
  * Disable modification introduced in 3.8.3-14 about DEB_SHLIBDEPS_INCLUDE
    and put back LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/atlas-base/
    (Closes: #574999)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Mar 2010 15:11:12 +0100

atlas (3.8.3-15) experimental; urgency=low

  * randomCrashOnBuild.diff was crashing many builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Mar 2010 16:18:59 +0000

atlas (3.8.3-14) experimental; urgency=low

  * Might fix the random compilation bug. Thanks to R. Clint Whaley (upstream)
    for the fix (randomCrashOnBuild.diff)
  * Fix a useless dep on libatlas3gf-base from all optimized packages
    (not necessary)
  * Explicit link against -lpthread added

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Mar 2010 10:16:38 +0100

atlas (3.8.3-13) experimental; urgency=low

  * Support of hurd (hurd.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Mar 2010 13:16:42 +0100

atlas (3.8.3-12) experimental; urgency=low

  * Don't make the assumption that /proc/cpuinfo is available everywhere.
    Should fix the build issue on hurd-i386

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Mar 2010 12:14:38 +0100

atlas (3.8.3-11) experimental; urgency=low

  * Explicit link against lgfortran & libgcc_s
  * Old useless / non sense conflicts removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Mar 2010 00:29:33 +0100

atlas (3.8.3-10) experimental; urgency=low

  * postinst & prerm added for each packages to manage update-alternatives
    See: http://wiki.debian.org/DebianScience/LinearAlgebraLibraries
  * Now, custom built version of Atlas has now incrementing version number
    Thanks to Adrian Benson for the idea and the implementation
  * Check that CPU frequencies are correctly set. Thanks to Adrian Benson.
    (Closes: #571322)
  * Some old Conflicts: removed
  * Vcs-Browser & Vcs-Svn updated (packaged moved to Debian Science)
  * Maintainer updated
  * Standards-Version updated to version 3.8.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Mar 2010 19:48:55 +0100

atlas (3.8.3-9) experimental; urgency=low

  * Fixes kfreebsd* build error (melf.diff added)
  * Standards-Version updated to version 3.8.4
  * -lc added back. The problem was due to -melf_i386 which was failing
    under kfreebsd. (10_remove-lc.diff removed)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 14 Feb 2010 12:07:56 +0100

atlas (3.8.3-8) experimental; urgency=low

  * README.Debian updated with the information relative to ld.so.conf.d/
  * if Make.inc cannot be found after the configure, fail debian/rules
  * Port on s390
  * Patch check-exists.diff added to avoid error when rebuilding
  * Do not perform the check of CPU extensions under kfreebsd-i386
    (Closes: #565852)
  * -lc removed from build process which was failing under kfreebsd-amd64
    (Closes: #566942)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Feb 2010 16:39:09 +0100

atlas (3.8.3-7) experimental; urgency=low

  * Bad dependencies libatlas3gf-{sse,sse2,sse3,core2sse3} depend on
    libatlas3gf-base. (Closes: #551689)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 26 Nov 2009 12:02:23 +0100

atlas (3.8.3-6) experimental; urgency=low

  * Fix a bad typo in the libatlas3-amd64sse3-dev package.
    Thanks to Ryo IGARASHI for spotting it (Closes: #555301)
  * libatlas3gf-core2sse3 package declaration was missing in debian/control
    Thanks to Ryo IGARASHI for spotting it (Closes: #551689)
  * Ondrej has been removed from uploaders (since 3.8.3-1) (Closes: #550412)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Nov 2009 11:37:09 +0100

atlas (3.8.3-5) experimental; urgency=low

  * Add (= ${binary:Version}) on -dev packages
    (Lintian: weak-library-dev-dependency)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Oct 2009 06:52:05 +0100

atlas (3.8.3-4) experimental; urgency=low

  * Fix some descriptions issues
  * libatlas3gf-amd64sse3-dev and libatlas-corei7sse3-dev erroneously depend
    on libatlas-core2sse3. Thanks to Adrian Benson to point out this silly
    issue (Closes: #551689)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Oct 2009 22:44:30 +0200

atlas (3.8.3-3) experimental; urgency=low

  * Missing dependency against ghostscript (Closes: #548646)
  * cblas.h & catlas.h are now installed into /usr/include/atlas
    (Closes: #432860, #481217, #548539)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Sep 2009 23:51:49 +0200

atlas (3.8.3-2) experimental; urgency=low

  * Improve CPU extension check

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Sep 2009 02:39:07 +0200

atlas (3.8.3-1) experimental; urgency=low

  * New upstream version (Closes: #382880)
  * debian/rules rewritten from scratch
  * Provides more documentation in the libatlas-doc packages
  * debian/copyright updated
  * Add myself to the uploader
  * Vcs-Browser & Vcs-Svn added
  * packages libatlas-3dnow-dev & libatlas3gf-3dnow obsoletes
  * packages libatlas-sse3-dev and libatlas3-sse3 added
  * libatlas-headers renamed to libatlas-dev
  * libatlas-dev is now in section libdevel
  * fakeroot debian/rules custom will generated a package called
    ../libatlas3gf-base_*.deb which will contain an optimized version of
    Atlas just for the current arch.
  * README.Debian updated to reflect the different changes
  * README.source added to explain where sources of the PDF are
  * Standards-Version updated to 3.8.3
  * compat updated to version 7
  * Camm & Ondrej removed as uploaders
  * Use of David Cournapeau's patches (many thanks for this great work)
  * Change of my email address since I am now DD

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Sep 2009 23:31:54 +0200

atlas (3.6.0-23) unstable; urgency=low

  * Split patches out of the diff.gz and integrated them as dpatch patches.
  * Removing debian/used_lapack_version in clean
  * Use the changelog from liblapack-dev to find the current lapack version as
    we don't build-depend on the lapack3 package.

  [ Sylvestre Ledru ]
  * Watch file updated
  * Standards-Version changed to 3.8.0
  * Copyright file updated
  * Some "set -e" were missing

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 16 Oct 2008 11:55:46 +0200

atlas (3.6.0-22) unstable; urgency=low

  [ Bernd Zeimetz ]
  * Maintainer changed to Debian Scientific Computing Team, adding Camm
    Maguire and Ondrej Certik as Uploaders.
  * Acknowledging the previous NMUs, thanks for taking care of the package!
  * DM-Upload-Allowed: yes field added
  * Fixing FTBFS error due to inlining the same function several times. Thanks
    to Matt Kraai for the patch (Closes: #486974).

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 11 Aug 2008 21:41:25 +0200

atlas (3.6.0-21.5) unstable; urgency=low

  * Non-maintainer upload to fix cruft I introduced in previous NMU.
  * Remove debian/po/OLD and debian/po/NEW

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 May 2008 10:17:38 +0200

atlas (3.6.0-21.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and FTBFS.

  [ Christian Perrier ]
  * debian/*.templates, debian/po/*.po: Fix name of packages in last
    sentence of the debconf templates and in the translations
    Closes: #372366
  * Add new debconf translations:
    - Japanese, thanks TANAKA Atushi
    - Spanish, thanks Felipe Caminos
    - Finnish, thanks Esko Arajärvi
    - Galician. Closes: #472589
  * Update Vietnamese debconf translation, thanks Clytie Siddall
  * debian/po/POTFILES.in: Changed atlas3 into libatlas3gf
  * [Lintian] Use Homepage: field in debian/control
  * [Lintian] Put -dev packages in section libdevel

  [ Matthias Klose ]
  * Don't build with -mlongcall on powerpc, fixes build failure.

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Mar 2008 18:22:19 +0100

atlas (3.6.0-21.3) unstable; urgency=low

  * Link using gfortran instead of gcc.
  * Build-depend on gfortran.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Feb 2008 03:46:01 +0100

atlas (3.6.0-21.2) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Feb 2008 01:03:27 +0000

atlas (3.6.0-21.1) experimental; urgency=low

  * Build using gfortran-4.3/gcc-4.3.
  * debian/*.files: Add new library sonames.
  * debian/fixshlibs*: Use new 'gf' names.
  * tune/blas/gemm/CASES/*cases.flg: Remove absolute path for gcc binary.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2008 03:01:00 +0100

atlas (3.6.0-21) unstable; urgency=low

  * gfortran transition

 -- Camm Maguire <camm@enhanced.com>  Thu, 08 Nov 2007 11:53:06 -0500

atlas3 (3.6.0-20.6) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Use prefetchnta instead of prefetchw in the SSE2 code, for compatibility
    with EM64T systems.  Closes: #393870.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Feb 2007 03:01:31 -0800

atlas3 (3.6.0-20.5) unstable; urgency=low

  * Non-maintainer upload.
  * Support GNU/kFreeBSD. Closes: #379161
  * Stop attempting to build on m68k and arm

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Jan 2007 10:15:04 +0100

atlas3 (3.6.0-20.4) unstable; urgency=low

  * Non-maintainer upload to fix long-longstanding l10n issues
  * Remove most part of the debconf templates which are way too much
    intrusive. Closes: #235732, #388816, #388817, #388818, #388821
    Move them to README.Debian
  * Turn the remaining notes into "error" templates
  * Launch debconf-updatepo in the clean target. Closes: #335549
  * Debconf translation updates:
    - Added Vietnamese. Closes: #313129
    - Added Czech. Closes: #310248
    - Updated Czech. Closes: #335566
    - Updated Dutch. Closes: #388104, #375315, #392214
    - Added Swedish. Closes: #336825
    - Added Georgian (sent during the NMU l10n fix campaign)
    - Added Portuguese. Closes: #394649
    - Added German. Closes:  #407843
    - Added Romanian
    - Added Portuguese. Closes: #408019
    - Added Russian. Closes: #408145

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Jan 2007 06:02:00 +0100

atlas3 (3.6.0-20.2) unstable; urgency=low

  * NMU.
  * Remove debian/control fiddling in favour of using debhelper -s
    (instead of debhelper -a) Thanks to Jeroen van Wolffelaar
    <jeroen@wolffelaar.nl> for the patch. Closes: #350748

 -- Frederik Schüler <fs@debian.org>  Mon, 22 May 2006 12:19:06 +0000

atlas3 (3.6.0-20.1) unstable; urgency=low

  *  NMU.
  *  debian/rules: apply patch from Yaroslav Halchenko to add missing
     targets. Closes: #351646

 -- Bill Allombert <ballombe@debian.org>  Sat, 13 May 2006 22:53:16 +0000

atlas3 (3.6.0-20) unstable; urgency=high

  * Have gcc 4.0 and greater recognized as a good compiler in config.c
  * Remove bx from the clobber list in camm_dpa.h as is explicitly pushed
    and restored
  * static proclamation syntax change to uumtst.c
  * Slightly modify ATL_F77wrap_tr{m,s}v.c to work around gcc 4.0 bug when
    using -fomit-frame-pointer
  * Now can build with gcc >=4.0, Closes: #315908.

 -- Camm Maguire <camm@enhanced.com>  Wed, 28 Sep 2005 17:35:48 +0000

atlas3 (3.6.0-19) unstable; urgency=high

  * Ignore SIGFPE on alpha in uumtst.c.  FIXME -- work with upstream to
    fix the matrix generator to avoid floating point underflow, which is
    apparently the origin of this signal.  Closes: #278331.
  * Run xdfindCE on smaller problem sizes on arm, as its emulated floating
    point is too slow.
  * FIXME -- clean build specific patches between builds, keeping base in
    place for timing/testing runs
  * Add support for arch-specific as opposed to build specific patches in
    base/patch_sys.  FIXME, unapply build-specific patches between builds.

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Oct 2004 20:11:07 +0000

atlas3 (3.6.0-18) unstable; urgency=high

  * Fix AB_DEBUG variable for m68k in debian/rules, Closes: #277881
  * Rework shlibs and shlibdeps processing to ensure that there are no
    self depends in library packages -- Closes: #277589.  The solution
    taken here is to make the shlibs files in the standard fashion with
    dh_makeshlibs, edit the entries to reflect the reference and virtual
    alternatives, run dh_shlibdeps -a against atlas3-base for robustness,
    rerun on library packages only using the shlibs in each package to
    resolve its own dependencies, then finally rewrite the shlibs files to
    refer to atlas3-base as the first virtual alternative in all files for
    consistency.
  * Fix atlas3-altivec.config, Closes: #277600.  FIXME -- cpu, cpu model,
    and cpu family need systematization.
  * Run testers with TRNG:=10 100 10 on alpha to workaround SIGFPE issue
    in xduumtst for now.  FIXME.  Perhaps Jan-Jaap van der Heijden
    <J.J.vanderHeijden@home.nl> can help?

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Oct 2004 11:36:52 +0000

atlas3 (3.6.0-17) unstable; urgency=high

  * Fix typo in altivec config
  * ev5 -> ev6
  * README.Debian edits for the above
  * Replace alpha base build record with an ev5 timed goto build, which
    also runs correctly on ev4.  Thanks to Jan-Jaap van der Heijden
    <J.J.vanderHeijden@home.nl>
  * Amend copyright file to note that on alpha, the GOTO kernels in the
    distributed binary builds, as well as in any possible user build, make
    the ATLAS license LGPL.
  * cpu model -> cpu family in atlas3-2.0.config.  Closes: #275333.
  * Link shared libs to remove undefined symbols
  * remove duplicate alternatives in shlibs files via mymakeshlibs
  * Build-depend on lapack (>= 3.0.20000531a-5) to get {s,d}gesdd fixes
  * Add debug=$(AB_DEBUG) to static run of debian/ab as well as shared.
  * Backoff m68k build to O2.
  * 5 Mflops for m68k and arm testers to speed up autobuilds
  * dh_installmanpages -> dh_installman
  * retime atlas3-base on a PII in attempt to uncover an apparent error in
    ade4 use, but in vain.
  * Pass testers over prime matrix dimensions

 -- Camm Maguire <camm@enhanced.com>  Tue, 19 Oct 2004 14:39:14 +0000

atlas3 (3.6.0-16) unstable; urgency=low

  * Add missing control-hppa for new subarch build
  * Fix custom package build rules, Closes: #267715
  * Bug fix: "atlas3-ev5-dev depends on atlas2-headers", thanks to
    Jan-Jaap van der Heijden (Closes: #269387). atlas2-headers ->
    atlas3-headers in control files

 -- Camm Maguire <camm@enhanced.com>  Wed,  1 Sep 2004 17:32:11 +0000

atlas3 (3.6.0-15) unstable; urgency=low

  * Add m68k build record
  * Add pa risc 2.0 build record as hppa subarch
  * Updated README.Debian on certain isa extension selections for custom
    builds on hppa, sparc, and alpha
  * template edits for ev5, 2.0, v9, and altivec

 -- Camm Maguire <camm@enhanced.com>  Thu,  8 Jul 2004 20:53:03 +0000

atlas3 (3.6.0-14) unstable; urgency=low

  * Bug fix: "octave2.1 fails to start on PowerPC", thanks to Jan Medlock
    (Closes: #253540).  Add LONGCALLS variable to debian/rules, supplement
    -fPIC with -mlong-calls on arm, hppa, mips and mipsel, and with
    -mlongcall on powerpc.
  * Bug fix: "better description for atlas3-3dnow", thanks to Roberto
    Gliese (Closes: #254429).  Fix typo in all descriptions
  * Suggest higher atlas3 isa extension pacakges with substvar
    libs:Suggests.

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Jun 2004 23:28:19 +0000

atlas3 (3.6.0-13) unstable; urgency=low

  * g77 -> /usr/bin/g77 in ia64 build record

 -- Camm Maguire <camm@enhanced.com>  Sun,  6 Jun 2004 17:02:31 +0000

atlas3 (3.6.0-12) unstable; urgency=low

  * export all environment vars in env files -- should get an arm record
    now
  * Add ia64 build record
  * Default BFLOPS and CACHE variables 20 and 512 for m68k and arm to
    speed up build.
  * Bug fix: "atlas3: FTBFS on amd64", thanks to Frederik Schueler
    (Closes: #252737).  Fixed g77 path in amd64 build record

 -- Camm Maguire <camm@enhanced.com>  Sun,  6 Jun 2004 03:21:13 +0000

atlas3 (3.6.0-11) unstable; urgency=low

  * Add CONFIG_DEFS environment facility to config.c, and set to -DWALL
    for arm base build in attempts to work around broken cpu rusage timer
    there.
  * switch back ppc base and altivec build records after successful
    autobuilder test run

 -- Camm Maguire <camm@enhanced.com>  Sat,  5 Jun 2004 03:42:51 +0000

atlas3 (3.6.0-10) unstable; urgency=low

  * Remove hardocded arch directory from new ppc altivec build, currently
    running as base.
  * Add alpha base build record as machine ev4
  * Fix CARCH sed replacement in debian/rules: $(MY_ISA) -> $*
  * Need to redo ia64 build record to get correct fortran to C
    conventions.

 -- Camm Maguire <camm@enhanced.com>  Fri,  4 Jun 2004 21:18:04 +0000

atlas3 (3.6.0-9) unstable; urgency=low

  * Remove erroneous local paths from ia64 build record
  * Install powerpc altivec build record, switch base and altivec builds
    temporarily to have the autobuilder run the tests against the build
  * Fix alpha -> powerpc error in control-powerpc
  * Install control scripts for altivec ppc build
  * Add v9 sparc build record and control scripts
  * Add amd64 (pure64) build record, sse2 isaext in base build, mach set
    to 'Hammer'
  * default x86_64 machine detection in config.c to amd hammer 64.
  * modify config.c to detect UltraSparc mach settings as a v9 isa
    extension

 -- Camm Maguire <camm@enhanced.com>  Thu,  3 Jun 2004 23:07:12 +0000

atlas3 (3.6.0-8) unstable; urgency=low

  * updated watch file
  * installed ia64 build record (base) using machine 'Itanium'
  * applied sparc patch to tune/blas/gemm/CASES/ATL_dmm4x4x8_US.c as per
    errata file
  * added s390 base build record with empty machine type

 -- Camm Maguire <camm@enhanced.com>  Tue,  1 Jun 2004 21:56:37 +0000

atlas3 (3.6.0-7) unstable; urgency=low

  * Add sparc build record
  * Add powerpc base build record
  * Remove malformed ia64 build record to time again
  * Add hook for altivec ppc package to time build record on next
    autobuild

 -- Camm Maguire <camm@enhanced.com>  Mon, 31 May 2004 15:50:14 +0000

atlas3 (3.6.0-6) unstable; urgency=low

  * Add clapack.h to atlas3-headers
  * changelog -> UTF8
  * Reinstall broken build recors on hppa mips mipsel alpha and ia64
  * ChangeLog -> changelog for lintian

 -- Camm Maguire <camm@enhanced.com>  Sat, 29 May 2004 15:53:11 +0000

atlas3 (3.6.0-5) unstable; urgency=low

  * Add ia64 build record, use itanium 2 for base build environment
  * Fix two ia64 bugs in config.c, l 1854 && L 2155
  * Add line in debian/config.expect to proceed with selected flags when
    they don't match arch defaults.
  * Add powerpc base environment to sidestep altivec, use G4
  * Add alpha ev5 build record, this is the goto build which should be
    changed to ev6 at some point due to an outstanding bug
  * make ev4 alpha environment for base build
  * add hppa base build record, blank MACH string for architecture UNKNOWN
  * change default sparc detection to UNKNOWN in config.c, l 3255
  * Add mipsel build record with blank MACH base environment setting
  * Add mips build record with blank MACH base environment setting
  * max m68k l2 cache at 512K in attempt to get the autobuild to not
    timeout.
  * Bug fix: "atlas3-sse2-dev: /usr/lib/libblas-3.a does not exist",
    thanks to Erik Schnetter (Closes: #249523).  Add .a slave alternative
    links.
  * Bug fix: "atlas3-sse2 package can't be set up due to awk error",
    thanks to Mierle Keir (Closes: #234232). Fix awk error in
    atlas3-sse2.postinst.
  * Bug fix: "atlas3: FTBFS amd64: Pure64 is using 64bit ABI", thanks to
    Goswin Brederlow (Closes: #249585).  Default BIT to 2 on amd64, rm -f
    out CONFIG/fname.o CONFIG/cname.o in clean target.
  * Bug fix: "atlas3: [INTL:fr] French debconf templates translation",
    thanks to Christian Perrier (Closes: #231935). Add fr.po
  * Bug fix: "[INTL:nl] new Dutch po-debconf translation", thanks to Luk
    Claes (Closes: #241314). Add nl.po

 -- Camm Maguire <camm@enhanced.com>  Fri, 28 May 2004 21:18:34 +0000

atlas3 (3.6.0-4) unstable; urgency=low

  * Fix error in debian/rules regarding installation of atlas_type.h

 -- Camm Maguire <camm@enhanced.com>  Fri,  6 Feb 2004 23:21:25 +0000

atlas3 (3.6.0-3) unstable; urgency=low

  * Port recent bug fixes from atlas2, listed below.
  * Fixed development alternatives to go with the new library locations.
  * Bug fix: "atlas3-base-dev: Depends on g77 is missing", thanks to
    Torsten Werner ( #226376). Added to all -dev packages.
  * Bug fix: "atlas3-headers: Does have all needed header files for
    compiling other programs using atlas", thanks to Tomas Ukkonen
    ( #227453). Added include/atlas_aux.h and
    include/Linux_base_static/atlas_type.h  to atlas3-headers pkg.
  * Bug fix: "The package description does not follow Debian policy",
    thanks to Javier Fernández-Sanguino Peña ( #209452). Reworded
    descriptions.
  * Bug fix: "atlas3-base: package description is suboptimal", thanks to
    Jochen Voss ( #227752).  Reworded descriptions.  Binary
    packages suggest blas and lapack to assist in debugging, as any
    program linking against one of these libraries can be cross checked
    against the reference versions at runtime without recompilation via
    the use of the LD_LIBRARY_PATH environment variable.  -dev packages
    suggest both blas-doc and lapack-doc.  -test package recommends blas
    and lapack.
  * Bug fix: "atlas: Please switch to gettext-based debconf templates",
    thanks to Christian Perrier ( #205812).  Ran automated
    procedure on templates.
  * Bug fix: "atlas: French translation of gettext debconf templates",
    thanks to Christian Perrier ( #206596). Installed po/fr.po.
  * Fixed expect build depends for newer expect package
  * Moved library locations to better take advantage of new hwcap behavior
    in ldconfig.  Atlas supplied blas and lapack libraries are now in
    /usr/lib/atlas/{,sse,sse2,3dnow,etc}/.  Edited templates accordingly.

 -- Camm Maguire <camm@enhanced.com>  Fri, 16 Jan 2004 17:46:09 +0000

atlas3 (3.6.0-2) unstable; urgency=low

  * Fix reference blas/lapack copy error in debian/rules, testers were not
    being correctly run against reference libraries

 -- Camm Maguire <camm@enhanced.com>  Wed, 14 Jan 2004 17:19:49 +0000

atlas3 (3.6.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu,  8 Jan 2004 04:05:49 +0000

atlas3 (3.5.19-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 18 Dec 2003 21:00:04 +0000

atlas (3.2.1ln-11) unstable; urgency=low

  * Remove atlas and blas dependencies from atlas packages, Closes:
    #196294, Closes: #196471, Closes: #196568.
  * Fix broken shlibs to now list atlas2-base | atlas2 for native atlas
    libs

 -- Camm Maguire <camm@enhanced.com>  Fri, 20 Jun 2003 15:06:19 +0000

atlas (3.2.1ln-10) unstable; urgency=low

  * Remove build-depends on g77-3.0 [alpha], Closes: #196257

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Jun 2003 18:54:27 +0000

atlas (3.2.1ln-9) unstable; urgency=low

  * Link libblas.so with lg2c, liblapack.so with lblas lg2c, Closes:
    #193874

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Jun 2003 13:38:23 +0000

atlas (3.2.1ln-8) unstable; urgency=low

  * Fixed ATL_walltime.c for gcc-3.3, Closes: #194081
  * gcc-3.3 changes to SSE header files
  * debian/compat set to 4, versioned debhelper build-depends
  * Newer standards
  * Lintian cleanup, Author(s) => Authors
  * Do postrm ld.so.conf edit and ldconfig only if argument is 'remove'
  * Make use of '${misc:Depends}'
  * Load debconf module in appropriate postinst scripts (for lintian)
  * Remove INSTALL.txt from atlas-doc
  * Let debhelper handle ldconfig calls
  * Remove dh_undocumented from rules
  * Create /etc/ld.so.conf.d/atlas.conf if not there, Closes: #150309
  * Append newline to /etc/ld.so.conf.d/atlas.conf if doesn't end with one, Closes:
    #192030
  * dev packages suggest blas-doc, Closes: #168466
  * Make postrm scripts handle empty ld.so.conf

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Jun 2003 02:43:38 +0000

atlas (3.2.1ln-7) unstable; urgency=high

  * Forgot to read DEFAULTS variable in config.expect
  * Need g77-3.0 on alpha to link with lapack, workaround for -mieee bug
    in g77-2.95 on alpha

 -- Camm Maguire <camm@enhanced.com>  Sat, 13 Apr 2002 10:07:52 -0400

atlas (3.2.1ln-6) unstable; urgency=high

  * Installed build record for s390
  * libblas2.so and liblapack2.so alternative support, Closes: #139073
  * Accept cpu flag xmm2 as well for SSE2 capability
  * Added DEFAULTS variable in debian/rules to allow custom building
    with no upstream atlas defaults; edited README.Debian
  * Clarifications to README.Debian, Closes: #141745

 -- Camm Maguire <camm@enhanced.com>  Wed, 10 Apr 2002 22:27:49 -0400

atlas (3.2.1ln-5) unstable; urgency=low

  * Renamed .new directory holding temporary build record to avoid
    conflict with main rules iteration over subarchitectures
  * Installed mips/mipsel build records
  * Architecture string reset to any, as any existing failure bugs
    should be reassigned to the compiler
  * Minor bugfixes to included blas testers, should be no longer used

 -- Camm Maguire <camm@enhanced.com>  Sat, 23 Mar 2002 12:42:50 -0500

atlas (3.2.1ln-4) unstable; urgency=low

  * Removed Provides atlas-dev from atlas2-headers
  * Added mips support
  * echo build record to stdout when doing a timed build, can get build
    records this way from the autobuilder output
  * Small arch specific patch to enable build on s390

 -- Camm Maguire <camm@enhanced.com>  Tue, 19 Mar 2002 21:11:43 -0500

atlas (3.2.1ln-3) unstable; urgency=low

  * Changed lapackF tester rules to prevent lapack tests from running
    twice
  * chmod +x debian/mm fixing man page generation failure on ppc
  * Patch to fix strmm errors with 3dnow/sse

 -- Camm Maguire <camm@enhanced.com>  Mon, 11 Mar 2002 10:10:12 -0500

atlas (3.2.1ln-2) unstable; urgency=low

  * cblas functions into atlas provided libblas
  * Powerpc base build record added
  * Versioned Conflicts/Replaces on atlas2-dev for atlas2-headers,
    Closes: #135188
  * Changed debian/ab to accept versioned compiler names, possibly in
    home directory tree.
  * Removed blas-testers from package
  * Build-Depends on blas-test
  * Manpages for atlas-test, build-depend on help2man
  * Removed blas dat examples from package, now in blas-test
  * Fail catching rules for testers
  * Less flops for testers on slower machines, currently m68k
  * Build record rules added

 -- Camm Maguire <camm@enhanced.com>  Sat, 23 Feb 2002 17:14:57 -0500

atlas (3.2.1ln-1) unstable; urgency=low

  * Unbundled lapack source, now use lapack.a and lapack_pic.a from new
    lapack packages
  * hppa base build record, based on parisc 2.0 build
  * ORed construction in shlibs and shlibs.local
  * Removed cblas.h from headers package: now in blas-dev
  * Architecture string added to debian/control source section.  HPPA --
    compiler can't handle single precision real/complex routines,
    Closes: #133665
  * MIPSEL -- compiler can't handle large branches
  * New shlibs(.local), Closes: #134177
  * Elaborated short package descriptions, Closes: #134303
  * Elaborated short package descriptions, Closes: #134305
  * Clarified header package description, Closes: #134304
  * ARM -- timer can't determine parameters within precision
  * Reworked debconf priorities, Closes: #133147
  * References to blas1 -> blas in all files
  * Removing cblas.h Closes: #134488

 -- Camm Maguire <camm@enhanced.com>  Sun, 17 Feb 2002 22:16:43 -0500

atlas (3.2.1l-5) unstable; urgency=low

  * Build record installed for ia64
  * Patch target facility in debian/rules for selectively applying
    patches to source for different archs
  * IA64 patch installed to work around current compiler bugs
  * Added support for {atlas2,lapack2,blas2}-dev virtual packages

 -- Camm Maguire <camm@enhanced.com>  Fri,  1 Feb 2002 19:43:51 -0500

atlas (3.2.1l-4) unstable; urgency=low

  * Fixed typo PIII -> PIV in sse2 descriptions and templates, Closes:
    #126040
  * Added arch dirs for remaining woody archs, s390, mips, mipsel and
    arm
  * Commented out blank environment variable settings in env files

 -- Camm Maguire <camm@enhanced.com>  Sat, 29 Dec 2001 00:16:36 -0500

atlas (3.2.1l-3) unstable; urgency=low

  * Fixed typo in Build-Depends
  * Fixed spelling errors, Closes: #124427, Closes: #124428, Closes:
    #124429

 -- Camm Maguire <camm@enhanced.com>  Wed, 19 Dec 2001 01:11:06 -0500

atlas (3.2.1l-2) unstable; urgency=low

  * Added conflicts/replaces to control-i386 so new package named
    upgrade old ones.

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Dec 2001 12:18:32 -0500

atlas (3.2.1l-1) unstable; urgency=low

  * Included lapack source in source package to avoid 'apt-get source',
    Closes: #112136
  * Removed Build-Depend on apt
  * Build-Depend on blas1-dev
  * Replace 'apt-get source blas' with 'cp /usr/lib/libblas* blas-1.0/'
  * Replaced SRC/s{ht}o dirs in lapack subbuild with newly provided
    debian/{shared,static} of the Debian lapack package build
  * Replaced -O3 -> -O alpha workaround in main Makefile with an awk
    gsub just where its needed in the tester binary compiles
  * Added provisional build log for m68k
  * slasrt -> dlasrt in dlalsd.f in lapack source, Closes: #111377
  * Added used_lapack_version to docs for library builds, Closes:
    #111380
  * Lintian cleans: remove dh_testversion, standards version 3.5.6.0
  * Corrected 3dnow.txt path in atlas2-athlon.templates, Closes: #114286
  * Added m68k build record
  * Add missing F77= (needed for m68k) to lapack-3.0/debian/rules
  * Build-Depend on fort77 [m68k]
  * Changed package names on i386: athlon ->3dnow, p3 ->sse, p4 ->sse2
  * Changed i386 library directories to follow 2.4.x names,
    /usr/lib/{3dnow,sse,sse2}
  * Had custom target build appropriate isa extension package for build-
    time cpu, thereby keeping isa extension instructions out of /usr/lib
  * Added cache probe of /proc/cpuinfo to speed custom builds where
    /proc/cpuinfo reports cache
  * Changed fpu label to base for generic builds
  * Updated README.Debian for new custom build packaging
  * Updated lapack routines from errata page to fix Cholesky and LU
    solve errors
  * Applied trsm complex performance enhancement from errata page
  * Fixed Athlon defaults from errata page
  * Applied Nan number fix from errata page
  * Fixed ntra->nout bug in c_sblat3.f, line 1342
  * Made atlas build-depend on gcc-2.95 on i386, and conflict with 3.0
    there, for performance and config script output reasons.

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Nov 2001 16:02:44 -0500

atlas (3.2.1-12) unstable; urgency=low

  * Quoted alpha F90 build options, Closes: #109767
  * Added alpha build records for base and ev5.

 -- Camm Maguire <camm@enhanced.com>  Sun, 26 Aug 2001 21:39:57 -0400

atlas (3.2.1-11) unstable; urgency=low

  * Architecture for atlas2-base-dev set to any
  * Architecture for atlas2-headers set to all
  * Prepended to LD_LIBRARY_PATH for tests, instead of overwriting

 -- Camm Maguire <camm@enhanced.com>  Thu, 26 Jul 2001 15:48:27 -0400

atlas (3.2.1-10) unstable; urgency=low

  * Minor changes to debian/rules to build lapack testers correctly, and
    to thereby correctly demonstrate acceleration with atlas lapack
    routines
  * Added chmod +x debian/mymakeshlibs, Closes: #106428
  * Modifications to README.Debian to reflect automatic /etc/ld.so.conf.d/atlas.conf
    treatment.
  * Added base sparc build record

 -- Camm Maguire <camm@enhanced.com>  Tue, 24 Jul 2001 22:50:38 -0400

atlas (3.2.1-9) unstable; urgency=low

  * Assemble debian/control as part of build, including only packages
    relevant to arch, Closes: #105887
  * Made shlibs files list virtual package dependencies, obviating the
    need for shlibs.local for packages build-depending on atlas and
    wishing to make use of the atlas2, blas2, and lapack2 virtual
    packages

 -- Camm Maguire <camm@enhanced.com>  Thu, 19 Jul 2001 17:12:52 -0400

atlas (3.2.1-8) unstable; urgency=low

  * Changed sections/priorities in control to match override
  * Elimininated dependency of atlas-test on libpthread
  * Removed erroneous set default istrue in atlas2-base.config
  * Added build dir for hppa, Closes: #104684
  * Removed -fPIC from tester binary object builds

 -- Camm Maguire <camm@enhanced.com>  Sun, 15 Jul 2001 20:53:52 -0400

atlas (3.2.1-7) unstable; urgency=low

  * Removed blas Makefile patch to account for changes in blas -7

 -- Camm Maguire <camm@enhanced.com>  Tue, 10 Jul 2001 23:34:22 -0400

atlas (3.2.1-6) unstable; urgency=low

  * Used -l switch on dh_shlibdeps to catch libfakeroot location,
    Closes: #103851

 -- Camm Maguire <camm@enhanced.com>  Sun,  8 Jul 2001 23:41:00 -0400

atlas (3.2.1-5) unstable; urgency=low

  * Replaced erroneously deleted Build-depends, Closes: #102370

 -- Camm Maguire <camm@enhanced.com>  Fri,  6 Jul 2001 12:21:06 -0400

atlas (3.2.1-4) unstable; urgency=low

  * Made changes in debian/ab so that script works with mawk and gawk
  * Added SSE2 binary for Pentium 4 and higher machines
  * Replaced build records with gzipped uuencoded versions to save
    space, Build-Depends added on sharutils
  * Had sse libs check for kernel 2.2.x and kernel 2.4.x /proc/cpuinfo
    flags

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Jul 2001 19:38:22 -0400

atlas (3.2.1-3) unstable; urgency=low

  * Debconf templates
  * Updated control entries to smoothly upgrade from 3.0
  * Renamed new atlas2-dev package to atlas2-headers, to facilitate
    upgrade from old atlas2-dev with different components
  * Automatic configuration of ldso to 1) use best installed atlas
    binary on running system, and 2) use atlas-provided blas and lapack
    libs in preference to reference versions
  * Added m68k directory to enable default build on this arch.  Closes:
    #102766

 -- Camm Maguire <camm@enhanced.com>  Mon,  2 Jul 2001 18:18:37 -0400

atlas (3.2.1-2) unstable; urgency=low

  * Added rule to config.expect to kill old subdirs
  * New xmm build record without threads
  * New fpu build record without threads
  * Moved debian/ppc to debian/powerpc, enabling build on this platform.
    Closes: #88220
  * Moved 3dnowext to 3dnow, as code can run on both k6 and athlon
  * Updated Build-Depends, Closes: #102370

 -- Camm Maguire <camm@enhanced.com>  Tue, 26 Jun 2001 23:04:13 -0400

atlas (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Fri, 30 Mar 2001 17:10:06 -0500

atlas (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Dec 2000 14:08:24 -0500

atlas (3.0-7) frozen unstable; urgency=low

  * Added cblas objects to /usr/lib/atlas/liblapack, closing #61286

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Apr 2000 19:11:43 +0200

atlas (3.0-6) frozen; urgency=low

  * Development header files were missing -- fixed.
  * Added note about performance variance with LDA to README.Debian
  * Passed -ff90 in F90OPTS to lapack, like in 3.0-5 package

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Feb 2000 20:44:58 +0100

atlas (3.0-5) frozen; urgency=low

  * Added -F 200 to ?l2blastst runs to get valid time comparisons for
    quick tests

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Feb 2000 19:40:28 +0100

atlas (3.0-4) frozen; urgency=low

  * Added 'make clean' to lapack target to ensure that static lapack lib
    is build correctly
  * Added development links in blas-1.0 subdirectory so that testing
    binaries get dynamically linked against blas
  * Fixed error in shlibs.local
  * Added suggests lapack-doc for atlas2-dev
  * Added -F 200 to l2blastst results to get valid time comparisons for
    quick tests

 -- Camm Maguire <camm@enhanced.com>  Wed, 19 Jan 2000 16:25:35 +0100

atlas (3.0-3) frozen; urgency=low

  * Removed brackets from expect script, works with more expect versions
    now
  * Added build dependency on apt
  * Added workarounds to allow building on alpha (g77/complex abs1
    issue, mmsearch compilation bug with -O3, timer problem -> -DWALL)
  * Patched config.c to auto detect alpha 21264
  * Removed Linux_debug build directories
  * Fixed expect script error
  * Added /proc/cpuinfo to test results file

 -- Camm Maguire <camm@enhanced.com>  Thu, 13 Jan 2000 18:35:53 +0100

atlas (3.0-2) frozen; urgency=low

  * Releasing build with gcc 2.95.2, prior build had segfaults apparently
  due to compiler error (egcs 2.91.66)
  * Added build integrity test step to debian/rules

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 Jan 2000 22:48:35 -0500

atlas (3.0-1) frozen; urgency=low

  * Applied fixes as listed on www.cs.utk.edu/~rwhaley/ATLAS/errata.html
  * New upstream release, supplying full BLAS support

 -- Camm Maguire <camm@enhanced.com>  Thu, 23 Dec 1999 12:04:54 -0500

atlas (2.0-8) unstable; urgency=low

  * Added some build dependencies
  * Latest g77 won't compile icamax.f from reference BLAS on alpha;
    used f2c here instead
  * Altered config.c to find libblas.a in BLAS dir of source
  * Changed the build process to use ATLAS' native config program
    under expect

 -- Camm Maguire <camm@enhanced.com>  Thu, 23 Dec 1999 12:04:54 -0500

atlas (2.0-7) unstable; urgency=low

  * Changed toplevel Makefiles to allow proper compilation on generic
    platforms.  As found on netlib, atlas has an interactive build
    process.  A custom 'config' program is compiled and run, which prompts
    the user for certain information, and writes the toplevel Makefiles.
    This procedure doesn't fit well with automated building under Debian,
    so a (pair of) generic Makefiles has been provided for compilation on
    Debian systems.  Some fields were inadvertantly left in these files
    which pertain to the specific hardware of this maintainer, making
    building on some machines impossible.  This update should allow for
    proper building on all Debian systems.  Furthermore, these Makefiles
    have been verified to produce libraries with essentially the same
    performance on the matintainer's hardware. In the future, perhaps the
    proper way to do this is to run the atlas config program under some
    special shell, like 'expect'.  This would in addition require
    automated editing of these files by debian/rules.

 -- Camm Maguire <camm@enhanced.com>  Fri, 17 Dec 1999 14:53:06 -0500

atlas (2.0-6) unstable; urgency=low

  * Fixed typo in rules: rm -r -> rm -f

 -- Camm Maguire <camm@enhanced.com>  Wed,  8 Dec 1999 08:52:01 -0500

atlas (2.0-5) unstable; urgency=low

  * Removed 'make clean' from clean target of rules, as atlas doesn't use this
  * Removed ConfDump.log in clean target, closing #52083

 -- Camm Maguire <camm@enhanced.com>  Mon,  6 Dec 1999 23:11:29 -0500

atlas (2.0-4) unstable; urgency=low

  * Added LD_LIBRARY_PATH to dh_shlibdeps to get dependencies right on
  machines where atlas and blas are not installed :-)

 -- Camm Maguire <camm@enhanced.com>  Tue, 30 Nov 1999 17:53:47 -0500

atlas (2.0-3) unstable; urgency=low

  * Added atlas-test package to provide benchmarking with installed blas
  * Bumped soname to 2 to match blas package
  * Added runtime blas library switching notes in README.Debian
  * Removed 'atlas' package and the 'atlasconfig' script: To tune
    atlas for the end user's hardware, the procedure now is to
    rebuild the atlas1{-dev} package(s) from the Debian source
  * Moved optimized blas library to /usr/lib/atlas (closes: #51300)

 -- Camm Maguire <camm@enhanced.com>  Mon, 29 Nov 1999 13:33:05 -0500

atlas (2.0-2) unstable; urgency=low

  * Fixed debian/rules to build correclt after clean unpack (closes: #50508)

 -- Camm Maguire <camm@enhanced.com>  Thu, 18 Nov 1999 14:09:13 -0500

atlas (2.0-1) unstable; urgency=low

  * Initial Release.

 -- Camm Maguire <camm@enhanced.com>  Tue, 14 Sep 1999 09:28:44 -0400
